Subject: Re: bug#43269: 28.0.50; [feature/native-comp] provide a user feedback on Emacs being native compiled

From: Andrea Corallo <[email-masked]>
Date: Wed, 09 Sep 2020 16:32:58 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Andrea Corallo <[email-masked]>
>> Cc: [email-masked],  [email-masked],  [email-masked]
>> Date: Wed, 09 Sep 2020 15:19:58 +0000
>>
>> the native compiler improved considerably the compilation speed with
>> time.  I just took a measure at today's status native compiling only the
>> dumped image (what is going to be default when native compiling).
>>
>> On my dev machine vanilla Emacs uses 12m tot CPU time for a compilation
>> from a fresh repo. The same native compiling takes 30m tot CPU time so
>> IMO it is not terrible.
>
> Is this with "make" or with "make -jN"? if the latter, what value of N
> was used?

$ git clean -xfd && ./autogen.sh && ./configure --without-x --with-nativecomp  && time make NATIVE_FAST_BOOT=1 -j16
[...]
real    4m19.570s
user    28m59.958s
sys     0m48.797s
$

I guess -j1 may even score slightly less user time.

>> For Guile I have no idea if it was simpler to implement or discuss.
>
> I'm talking from the POV of a Guile user: it is simply seamless.

Well I think from a user prespective now with our native-compiler should
be the same, it does not require any user intervention.

  Andrea